Bug 49347 - after upgrade xinetd reports general_handler, bas_signal and Segmentation fault while imap/imaps connections are slow/not working
after upgrade xinetd reports general_handler, bas_signal and Segmentation fau...
Status: CLOSED DUPLICATE of bug 48367
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-18 10:31 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 10:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-18 10:31:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.6-3 i686; Nav)

Description of problem:
when xinetd was upgraded and restarted

:Jul 10 10:39:06 host9 xinetd[5900]: xinetd Version 2.3.0 started with
libwrap options compiled in.

problems with imap and imaps connections showed up including slow/ not
working. connections failed - usually seen as mail server time outs from
various clients (pine, entourage, express, mozilla mail and a web-app
squirrelmail on the same box as the mail store using imap over localhost).
sometimes things would work.... 

many log messages showed up like this:
Jul 11 10:25:04 host9 xinetd[26776]: execv( (null) ) failed: Bad address
(errno = 14)
Jul 11 10:27:42 host9 xinetd[26848]: execv( (null) ) failed: Bad address
(errno = 14)
Jul 11 17:56:51 host9 xinetd[1708]: {general_handler} (1708) Unexpected
signal: 11 (Segmentation fault)
Jul 11 17:56:51 host9 xinetd[1708]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 17:56:56 host9 xinetd[1713]: {general_handler} (1713) Unexpected
signal: 11 (Segmentation fault)
Jul 11 17:56:56 host9 xinetd[1713]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 17:57:51 host9 xinetd[1722]: {general_handler} (1722) Unexpected
signal: 11 (Segmentation fault)
Jul 11 17:57:51 host9 xinetd[1722]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 17:58:51 host9 xinetd[1734]: {general_handler} (1734) Unexpected
signal: 11 (Segmentation fault)
Jul 11 17:58:51 host9 xinetd[1734]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 18:01:22 host9 xinetd[1779]: {general_handler} (1779) Unexpected
signal: 11 (Segmentation fault)
Jul 11 18:01:22 host9 xinetd[1779]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 18:01:41 host9 xinetd[1784]: {general_handler} (1784) Unexpected
signal: 11 (Segmentation fault)
Jul 11 18:01:41 host9 xinetd[1784]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 18:01:49 host9 xinetd[1785]: {general_handler} (1785) Unexpected
signal: 11 (Segmentation fault)
Jul 11 18:01:49 host9 xinetd[1785]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 18:01:55 host9 xinetd[1787]: {general_handler} (1787) Unexpected
signal: 11 (Segmentation fault)
Jul 11 18:01:55 host9 xinetd[1787]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 11 18:03:51 host9 xinetd[1803]: {general_handler} (1803) Unexpected
signal: 11 (Segmentation fault)
Jul 11 18:03:51 host9 xinetd[1803]: {bad_signal} Received 10 signals in 1
seconds. Exiting...

i have now reverted to previous version and things are fine again. 
this box is too small to type in...



previous version that worked fine had been running since

/var/log/messages.5:Jun 11 09:56:15 host9 xinetd[12745]: xinetd Version
2.1.8.9pre15 started with libwrap options compiled in.


How reproducible:
Sometimes

Steps to Reproduce:
1. run imap and imaps and xinetd Version 2.1.8.9pre15
2. upgrade to xinetd Version 2.3.0 
3. use imap and imaps for lots of mail ~50-60 users 20GB in mail 4
	

Actual Results:  people complaining and mail not working 
messages in log files

Expected Results:  happy people, mail working

Additional info:

ul 17 06:03:17 host9 xinetd[15980]: {general_handler} (15980) Unexpected
signal: 11 (Segmentation fault)
Jul 17 06:03:17 host9 xinetd[15980]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 17 06:05:32 host9 xinetd[15987]: {general_handler} (15987) Unexpected
signal: 11 (Segmentation fault)
Jul 17 06:05:32 host9 xinetd[15987]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 17 06:06:16 host9 xinetd[15990]: {general_handler} (15990) Unexpected
signal: 11 (Segmentation fault)
Jul 17 06:06:16 host9 xinetd[15990]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 17 06:07:16 host9 xinetd[15993]: {general_handler} (15993) Unexpected
signal: 11 (Segmentation fault)
Comment 1 Trond Eivind Glomsrxd 2001-07-18 10:46:11 EDT
Can you try the rpm at http://people.redhat.com/teg/xinetd/ and see if it makes
any difference?
Comment 2 Need Real Name 2001-07-18 12:19:01 EDT
installed new rpm from http://people.redhat.com/teg/xinetd/,
so far no problems :> - it's been running for ~ 1hr, still monitoring....
Comment 3 Jeff Hazard 2001-07-18 21:35:44 EDT
Much the same problem, but with wuftpd: Redhat 7.1 , xinetd 2.3.0, Kernel
2.4.6.:
FTP server does 5k to 9k transfers a day.

Jul 18 11:14:03 ftp xinetd[3451]: {bad_signal} Received 10 signals in 1
seconds. Exiting...
Jul 18 11:14:08 ftp xinetd[3452]: {bad_signal} Received 10 signals in 1
seconds. Exiting...

I tried to overide the default of 10 by adding :
[root@ftp sysconfig]# pwd
/etc/sysconfig
[root@ftp sysconfig]# more xinetd
# Add extra options here
EXTRAOPTIONS="-loop 25"

but this didn't help either. I will try the suggested RPM and report.
Comment 4 Jeff Hazard 2001-07-19 10:52:23 EDT
Installed 2.3.0-2.1.rpm last night
Still seeing the following in log this morning:
Jul 19 08:10:23 ftp xinetd[9329]: {general_handler} (9329) Unexpected signal: 11   (Segmentation fault)
Jul 19 08:10:23 ftp last message repeated 9 times                                  
Jul 19 08:10:23 ftp xinetd[9329]: {bad_signal} Received 10 signals in 1 seconds.   
Exiting...         

XINETD is still spawing new ftp sessions,  transfers completing. Users probably getting intermittent "Resource unavailable."
Comment 5 Trond Eivind Glomsrxd 2001-07-23 23:29:01 EDT

*** This bug has been marked as a duplicate of 48367 ***
Comment 6 Wolfgang Powisch 2003-05-28 03:24:51 EDT
Same behavior on RH7.2 with xinetd-2.3.11-1.7x.
IMAP Connections are immediately disconected by the server with the same ("Segmentation Fault") 
message in syslog.
Other protocols, for example pop3, are working.
Restart doesn't help.

Note You need to log in before you can comment on or make changes to this bug.